Subject: Re: bug#3366: 23.0.94; doc of split-window-preferred-function, display-buffer, etc.

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 May 2009 11:27:00 -0400

> No, I'm talking about code, not a broad user preference setting. Code that
> wants, for example, to work with various releases.

We're talking about `display-buffer', which is a function that provides
no guarantee about where the window gets displayed, so code that uses it
should be prepared for surprises.  If you argue that code should have
more control over it, I agree.

I suggested changing the `not-this-window' argument so it can have
a description of the recommended window to use (not a specific window,
but something that could specify whether it should be on the same-frame
or not, in an adjacent window or not, in a preferably tall/wide window,
in a window close to the minibuffer, ...).

        Stefan